         # File lib/protocols/smtpclient.rb, line 294
    294:                 def receive_message_response
    295:                         return invoke_error unless @range == 2
    296:                         send_data "QUIT\r\n"
    297:                         close_connection_after_writing
    298:                         @succeeded = true
    299:                         @return_values.elapsed_time = Time.now - @return_values.start_time
    300:                         @return_values.responder = @responder
    301:                         @return_values.code = @code
    302:                         @return_values.message = @msg
    303:                         set_deferred_status :succeeded, @return_values
    304:                 end